Results 1 to 5 of 5

Thread: Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

  1. #1

    Default Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

    Hi,

    I have installed VMware Workstation 6.0.5 on OpenSUSE 11.3. When I run the vmware-config.p, I get the following prompts.

    Your kernel was built with "gcc" version "4.5.0", while you are trying to use
    "/usr/bin/gcc" version "4.5". This configuration is not recommended and VMware
    Workstation may crash if you'll continue. Please try to use exactly same
    compiler as one used for building your kernel. Do you want to go with compiler
    "/usr/bin/gcc" version "4.5" anyway? [no]

    If I enter Yes to go past this prompt, the next one is

    What is the location of the directory of C header files that match your running
    kernel? [/usr/src/linux/include]

    Question:
    1. Will gcc version 4.5 work.
    2. What is the correct location of the C header files?

    Thanks in advance

    K

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,278
    Blog Entries
    15

    Default Re: Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

    Quote Originally Posted by knepal
    Hi,

    I have installed VMware Workstation 6.0.5 on OpenSUSE 11.3. When I run
    the vmware-config.p, I get the following prompts.

    Question:
    1. Will gcc version 4.5 work.
    2. What is the correct location of the C header files?

    Thanks in advance

    K
    Hi
    Should be fine with 4.5. Why not upgrade to 6.5.4?

    Anyway, this should help;
    http://en.opensuse.org/SDB:Installin...or_workstation

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.32.23-0.3-default
    up 3 days 18:41, 3 users, load average: 0.24, 0.26, 0.18
    GPU GeForce 8600 GTS Silent - Driver Version: 260.19.12


  3. #3

    Default Re: Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

    Hi Malcolm,

    Thanks for the information. I will try and it and post feedback.

    The license I have does not work on version 6.5

    Kamal

  4. #4
    Join Date
    Jun 2008
    Location
    Delta Quadrant
    Posts
    1,434

    Default Re: Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

    Upgrade to version 7 and you'll not have to run vmware-config ever again.
    It compiles itself whenever there is a kernel update. Lots of other nifty
    changes. Unity mode works well.


  5. #5

    Default Re: Problems installing VMware Workstation 6.0.5 on OpenSUSE 11.3

    Hi again,

    Thanks GofBorg. Definitely something to consider. Right now, I just need to get 6.5.4 working.

    Malcolm: I decided to install 6.5.4 rather. The procedure works fine until the Patching

    When I run vmware_workstation_fix, it gives the following:
    Creating backup files
    Directory exists
    patching file vmci-only/linux/vmciKernelIf.c
    patching file vmnet-only/vnetUserListener.c
    patching file vmmon-only/linux/hostif.c
    gcc and kernel headers must be installed


    gcc, 'kernel-source' and 'kernel-syms' are installed. The kernel version is 2.6.34-12-desktop.

    Any ideas?

    Kamal

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •